Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class JavaPlugin

    java.lang.Object
      org.gradle.api.plugins.JavaPlugin

All Implemented Interfaces:
  Plugin

    class JavaPlugin
    extends java.lang.Object

A Plugin which compiles and tests Java source, and assembles it into a JAR file.

author:
  Hans Dockter

Field Summary
`static java.lang.String` | `COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `COMPILE_TASK_NAME`
`static java.lang.String` | `COMPILE_TESTS_TASK_NAME`
`static java.lang.String` | `DISTS_CONFIGURATION_NAME`
`static java.lang.String` | `DISTS_TASK_NAME`
`static java.lang.String` | `JAR_TASK_NAME`
`static java.lang.String` | `JAVADOC_TASK_NAME`
`static java.lang.String` | `LIBS_TASK_NAME`
`static java.lang.String` | `PROCESS_RESOURCES_TASK_NAME`
`static java.lang.String` | `PROCESS_TEST_RESOURCES_TASK_NAME`
`static java.lang.String` | `RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_TASK_NAME`

Constructor Summary
`JavaPlugin()`

Method Summary
`protected Compile` | `configureCompileInternal(Compile compile, Map propertyMapping)`
`protected Compile` | `configureCompileTests(Compile compileTests, Compile compile, Map propertyMapping, ConfigurationContainer configurations)`
`void` | `configureConfigurations(Project project)`
`protected JavaPluginConvention` | `java(Convention convention)`
`void` | `use(Project project, ProjectPluginsContainer projectPluginsHandler)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### COMPILE_CONFIGURATION_NAME

    static final java.lang.String COMPILE_CONFIGURATION_NAME

### COMPILE_TASK_NAME

    static final java.lang.String COMPILE_TASK_NAME

### COMPILE_TESTS_TASK_NAME

    static final java.lang.String COMPILE_TESTS_TASK_NAME

### DISTS_CONFIGURATION_NAME

    static final java.lang.String DISTS_CONFIGURATION_NAME

### DISTS_TASK_NAME

    static final java.lang.String DISTS_TASK_NAME

### JAR_TASK_NAME

    static final java.lang.String JAR_TASK_NAME

### JAVADOC_TASK_NAME

    static final java.lang.String JAVADOC_TASK_NAME

### LIBS_TASK_NAME

    static final java.lang.String LIBS_TASK_NAME

### PROCESS_RESOURCES_TASK_NAME

    static final java.lang.String PROCESS_RESOURCES_TASK_NAME

### PROCESS_TEST_RESOURCES_TASK_NAME

    static final java.lang.String PROCESS_TEST_RESOURCES_TASK_NAME

### RUNTIME_CONFIGURATION_NAME

    static final java.lang.String RUNTIME_CONFIGURATION_NAME

### TEST_COMPILE_CONFIGURATION_NAME

    static final java.lang.String TEST_COMPILE_CONFIGURATION_NAME

### TEST_RUNTIME_CONFIGURATION_NAME

    static final java.lang.String TEST_RUNTIME_CONFIGURATION_NAME

### TEST_TASK_NAME

    static final java.lang.String TEST_TASK_NAME

Constructor Detail

### JavaPlugin

    JavaPlugin()

Method Detail

### configureCompileInternal

    protected Compile configureCompileInternal(Compile compile, Map propertyMapping)

### configureCompileTests

    protected Compile configureCompileTests(Compile compileTests, Compile compile, Map propertyMapping, ConfigurationContainer configurations)

### configureConfigurations

    public void configureConfigurations(Project project)

### java

    protected JavaPluginConvention java(Convention convention)

### use

    public void use(Project project, ProjectPluginsContainer projectPluginsHandler)

Groovy Documentation